Bug 905446 - Lexicographic sorting by IP when searching for VMs
Summary: Lexicographic sorting by IP when searching for VMs
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: 3.2.0
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ---
: 3.2.0
Assignee: Lior Vernia
QA Contact: Meni Yakove
URL:
Whiteboard: network
Depends On: 895468
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-01-29 13:20 UTC by Lior Vernia
Modified: 2022-07-09 06:16 UTC (History)
13 users (show)

Fixed In Version: SF7
Doc Type: Enhancement
Doc Text:
When using the search panel to search for VMs, and then sorting by IP address, the sorting was done in lexicographical order, not numeric order (for example, 192.168.0.10 would appear before 192.168.0.2). This has been changed so the results are listed in numeric order, as this is the expected order.
Clone Of: 895468
Environment:
Last Closed: 2013-06-10 21:45:35 UTC
oVirt Team: Network
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Issue Tracker RHV-47256 0 None None None 2022-07-09 06:16:04 UTC
Red Hat Product Errata RHSA-2013:0888 0 normal SHIPPED_LIVE Moderate: Red Hat Enterprise Virtualization Manager 3.2 update 2013-06-11 00:55:41 UTC
oVirt gerrit 11470 0 None None None Never

Description Lior Vernia 2013-01-29 13:20:26 UTC
+++ This bug was initially created as a clone of Bug #895468 +++

Description of problem:

When using the search panel to search for VMs, and asking to sort by IP address, the sorting is done lexicographically and not numerically (i.e. 192.168.0.10 would appear before 192.168.0.2).


Version-Release number of selected component (if applicable):


How reproducible:

Always.


Steps to Reproduce:
1. Choose Virtual Machines tab.
2. Type in search panel "Vms: sortby ip asc".
  
Actual results:

IPs ordered by lexicographic sort.


Expected results:

IPs ordered by numeric sort.


Additional info:

--- Additional comment from Itamar Heim on 2013-01-15 07:22:27 EST ---

please see bug 590413

Comment 3 Meni Yakove 2013-02-17 07:24:19 UTC
Verified on rhevm-3.2.0-8.el6ev.noarch

Comment 5 Cheryn Tan 2013-04-03 06:50:46 UTC
This bug is currently attached to errata RHEA-2013:14491. If this change is not to be documented in the text for this errata please either remove it from the errata, set the requires_doc_text flag to minus (-), or leave a "Doc Text" value of "--no tech note required" if you do not have permission to alter the flag.

Otherwise to aid in the development of relevant and accurate release documentation, please fill out the "Doc Text" field above with these four (4) pieces of information:

* Cause: What actions or circumstances cause this bug to present.

* Consequence: What happens when the bug presents.

* Fix: What was done to fix the bug.

* Result: What now happens when the actions or circumstances above occur. (NB: this is not the same as 'the bug doesn't present anymore')

Once filled out, please set the "Doc Type" field to the appropriate value for the type of change made and submit your edits to the bug.

For further details on the Cause, Consequence, Fix, Result format please refer to:

https://bugzilla.redhat.com/page.cgi?id=fields.html#cf_release_notes

Thanks in advance.

Comment 6 errata-xmlrpc 2013-06-10 21:45:35 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0888.html


Note You need to log in before you can comment on or make changes to this bug.